Merge 9.6 specific update test files

This commit is contained in:
Sven Klemm 2020-03-21 18:47:59 +01:00 committed by Sven Klemm
parent b38b0d05b0
commit d9aa40d36d
3 changed files with 20 additions and 36 deletions

View File

@ -283,31 +283,18 @@ jobs:
- ci_env=`bash <(curl -s https://codecov.io/env)`
- docker exec -it $ci_env pgbuild /bin/bash -c "cd /build/debug && bash <(curl -s https://codecov.io/bash) -c ${CODECOV_FLAGS} || echo \"Codecov did not collect coverage reports\" "
# This tests the ability to upgrade to the latest version from versions without constraint support
# This tests the ability to upgrade to the latest version on pg 9.6
- if: (type = cron) OR (branch = prerelease_test)
stage: test
env: PG_VERSION=9.6.6
name: "Update tests (versions w/o constraints support) 9.6.6"
name: "Update tests PostgreSQL 9.6.6"
before_install:
install:
after_failure:
after_script:
after_success:
script:
- ${RETRY_PREFIX} bash -x ./scripts/test_updates_no_constraints.sh
# This tests the ability to upgrade to the latest version from versions with constraint support
- if: (type = cron) OR (branch = prerelease_test)
stage: test
env: PG_VERSION=9.6.6
name: "Update tests (versions w/ constraints support) 9.6.6"
before_install:
install:
after_failure:
after_script:
after_success:
script:
- ${RETRY_PREFIX} bash -x ./scripts/test_updates_with_constraints.sh
- ${RETRY_PREFIX} bash ./scripts/test_updates_pg96.sh
# This tests the ability to upgrade to the latest version on pg 10
- if: (type = pull_request) OR (type = cron) OR (branch = prerelease_test)

View File

@ -1,14 +0,0 @@
#!/usr/bin/env bash
#
# Prior to version 0.5.0, TimescaleDB did not fully support most constraints
# so we don't include update tests that test constraint support in pre-0.5.0
# versions.
set -e
set -o pipefail
SCRIPT_DIR=$(dirname $0)
TAGS="0.1.0 0.2.0 0.3.0 0.4.0 0.4.1 0.4.2"
TEST_VERSION="v1"
. ${SCRIPT_DIR}/test_updates.sh

View File

@ -1,5 +1,21 @@
#!/usr/bin/env bash
#
set -e
set -o pipefail
SCRIPT_DIR=$(dirname $0)
# Prior to version 0.5.0, TimescaleDB did not fully support most constraints
# so we don't include update tests that test constraint support in pre-0.5.0
# versions.
TAGS="0.1.0 0.2.0 0.3.0 0.4.0 0.4.1 0.4.2"
TEST_VERSION="v1"
TAGS=$TAGS TEST_VERSION=$TEST_VERSION bash ${SCRIPT_DIR}/test_updates.sh
EXIT_CODE=$?
if [ $EXIT_CODE -ne 0 ]; then
exit $EXIT_CODE
fi
# Starting with version 0.5.0, TimescaleDB had support for most constraints,
# including foreign keys from the hypertable to another table. In order to test
# this, we updated the testing files to include a few of these constraints.
@ -7,11 +23,6 @@
# try upgrading from pre-0.5.0 since it is not guaranteed to work. Hence we
# use a different update test script.
set -e
set -o pipefail
SCRIPT_DIR=$(dirname $0)
TAGS="0.5.0 0.6.0 0.6.1 0.7.0-pg9.6 0.7.1-pg9.6 0.8.0-pg9.6 0.9.0-pg9.6 0.9.1-pg9.6 0.9.2-pg9.6 0.10.0-pg9.6 0.10.1-pg9.6 0.11.0-pg9.6 0.12.0-pg9.6 1.0.0-pg9.6 1.0.1-pg9.6 1.1.0-pg9.6 1.1.1-pg9.6 1.2.0-pg9.6 1.2.1-pg9.6 1.2.2-pg9.6"
TEST_VERSION="v2"